## OMA Set Feature Setting request OMA Set Feature Setting request |

## Functions

QmiMessageOmaSetFeatureSettingInput * | qmi_message_oma_set_feature_setting_input_new ()
QmiMessageOmaSetFeatureSettingInput * | qmi_message_oma_set_feature_setting_input_ref ()
void | qmi_message_oma_set_feature_setting_input_unref ()
gboolean | qmi_message_oma_set_feature_setting_input_get_hfa_feature_config ()
gboolean | qmi_message_oma_set_feature_setting_input_set_hfa_feature_config ()
gboolean | qmi_message_oma_set_feature_setting_input_get_prl_update_service_config ()
gboolean | qmi_message_oma_set_feature_setting_input_set_prl_update_service_config ()
gboolean | qmi_message_oma_set_feature_setting_input_get_device_provisioning_service_update_config ()
gboolean | qmi_message_oma_set_feature_setting_input_set_device_provisioning_service_update_config ()
QmiMessageOmaSetFeatureSettingOutput * | qmi_message_oma_set_feature_setting_output_ref ()
void | qmi_message_oma_set_feature_setting_output_unref ()
gboolean | qmi_message_oma_set_feature_setting_output_get_result ()
void | qmi_client_oma_set_feature_setting ()
QmiMessageOmaSetFeatureSettingOutput * | qmi_client_oma_set_feature_setting_finish ()

## Types and Values

| QmiMessageOmaSetFeatureSettingInput
| QmiMessageOmaSetFeatureSettingOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageOmaSetFeatureSettingInput
        ╰── QmiMessageOmaSetFeatureSettingOutput

## Description

## Functions

### qmi_message_oma_set_feature_setting_input_new ()

    QmiMessageOmaSetFeatureSettingInput *
    qmi_message_oma_set_feature_setting_input_new
                                   (void);

Allocates a new QmiMessageOmaSetFeatureSettingInput.

#### Returns

the newly created QmiMessageOmaSetFeatureSettingInput. The returned value should be freed with `qmi_message_oma_set_feature_setting_input_unref()`.

Since: 1.6

### qmi_message_oma_set_feature_setting_input_ref ()

    QmiMessageOmaSetFeatureSettingInput *
    qmi_message_oma_set_feature_setting_input_ref
                                   (QmiMessageOmaSetFeatureSettingInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaSetFeatureSettingInput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_oma_set_feature_setting_input_unref ()

    void
    qmi_message_oma_set_feature_setting_input_unref
                                   (QmiMessageOmaSetFeatureSettingInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaSetFeatureSettingInput. |

Since: 1.6

### qmi_message_oma_set_feature_setting_input_get_hfa_feature_config ()

    gboolean
    qmi_message_oma_set_feature_setting_input_get_hfa_feature_config
                                   (QmiMessageOmaSetFeatureSettingInput *self,
                                    gboolean *value_hfa_feature_config,
                                    GError **error);

Get the 'HFA Feature Config' field from `self` .

#### Parameters

self | a QmiMessageOmaSetFeatureSettingInput. |
value_hfa_feature_config | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_feature_setting_input_set_hfa_feature_config ()

    gboolean
    qmi_message_oma_set_feature_setting_input_set_hfa_feature_config
                                   (QmiMessageOmaSetFeatureSettingInput *self,
                                    gboolean value_hfa_feature_config,
                                    GError **error);

Set the 'HFA Feature Config' field in the message.

#### Parameters

self | a QmiMessageOmaSetFeatureSettingInput. |
value_hfa_feature_config | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_feature_setting_input_get_prl_update_service_config ()

    gboolean
    qmi_message_oma_set_feature_setting_input_get_prl_update_service_config
                                   (QmiMessageOmaSetFeatureSettingInput *self,
                                    gboolean *value_prl_update_service_config,
                                    GError **error);

Get the 'PRL Update Service Config' field from `self` .

#### Parameters

self | a QmiMessageOmaSetFeatureSettingInput. |
value_prl_update_service_config | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_feature_setting_input_set_prl_update_service_config ()

    gboolean
    qmi_message_oma_set_feature_setting_input_set_prl_update_service_config
                                   (QmiMessageOmaSetFeatureSettingInput *self,
                                    gboolean value_prl_update_service_config,
                                    GError **error);

Set the 'PRL Update Service Config' field in the message.

#### Parameters

self | a QmiMessageOmaSetFeatureSettingInput. |
value_prl_update_service_config | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_feature_setting_input_get_device_provisioning_service_update_config ()

    gboolean
    qmi_message_oma_set_feature_setting_input_get_device_provisioning_service_update_config
                                   (QmiMessageOmaSetFeatureSettingInput *self,
                                    gboolean *value_device_provisioning_service_update_config,
                                    GError **error);

Get the 'Device Provisioning Service Update Config' field from `self` .

#### Parameters

self | a QmiMessageOmaSetFeatureSettingInput. |
value_device_provisioning_service_update_config | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_feature_setting_input_set_device_provisioning_service_update_config ()

    gboolean
    qmi_message_oma_set_feature_setting_input_set_device_provisioning_service_update_config
                                   (QmiMessageOmaSetFeatureSettingInput *self,
                                    gboolean value_device_provisioning_service_update_config,
                                    GError **error);

Set the 'Device Provisioning Service Update Config' field in the message.

#### Parameters

self | a QmiMessageOmaSetFeatureSettingInput. |
value_device_provisioning_service_update_config | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_feature_setting_output_ref ()

    QmiMessageOmaSetFeatureSettingOutput *
    qmi_message_oma_set_feature_setting_output_ref
                                   (QmiMessageOmaSetFeatureSettingOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaSetFeatureSettingOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_oma_set_feature_setting_output_unref ()

    void
    qmi_message_oma_set_feature_setting_output_unref
                                   (QmiMessageOmaSetFeatureSettingOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaSetFeatureSettingOutput. |

Since: 1.6

### qmi_message_oma_set_feature_setting_output_get_result ()

    gboolean
    qmi_message_oma_set_feature_setting_output_get_result
                                   (QmiMessageOmaSetFeatureSettingOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageOmaSetFeatureSettingOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.6

### qmi_client_oma_set_feature_setting ()

    void
    qmi_client_oma_set_feature_setting (QmiClientOma *self,
                                        QmiMessageOmaSetFeatureSettingInput *input,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Set Feature Setting request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_oma_set_feature_setting_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientOma. |
input | a QmiMessageOmaSetFeatureSettingInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_oma_set_feature_setting_finish ()

    QmiMessageOmaSetFeatureSettingOutput *
    qmi_client_oma_set_feature_setting_finish
                                   (QmiClientOma *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_oma_set_feature_setting()`.

#### Parameters

self | a QmiClientOma. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_oma_set_feature_setting()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageOmaSetFeatureSettingOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_oma_set_feature_setting_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessageOmaSetFeatureSettingInput

    typedef struct _QmiMessageOmaSetFeatureSettingInput QmiMessageOmaSetFeatureSettingInput;

The QmiMessageOmaSetFeatureSettingInput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessageOmaSetFeatureSettingOutput

    typedef struct _QmiMessageOmaSetFeatureSettingOutput QmiMessageOmaSetFeatureSettingOutput;

The QmiMessageOmaSetFeatureSettingOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6